package com.yd.api.practitioner.service;

import com.yd.api.practitioner.vo.hiring.GeneratePDFRequestVO;

import java.util.Map;

public interface PractitionerHiringContractService {

    String generatePractitionerContract(String practitionerNO, String contractNo, Long hiringBasicInfoId) throws Exception;

    Map<String, String> initHiringBasicInfoData(Long hiringBasicInfoId);

    Map<String, String> initHiringImageInfoData(Long hiringBasicInfoId);

    String generatePractitionerPDF(String practitionerNO,Map<String, String> initDatas,Map<String, String> initImages);
}